%define packager Craig Cabrey <craigcabrey@gmail.com>
%define module  ithc

Name:           %{module}-dkms

Version:        master
License:        GPL2
Release:        1%{?dist}
Summary:        Kernel module(s) (dkms)

Group:          System Environment/Kernel
URL:            https://github.com/quo/ithc-linux
Source0:        https://github.com/quo/ithc-linux/archive/refs/heads/master.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires:       dkms >= 3.0
Requires:       kernel-devel, gcc, make, diffutils
Requires(post): gcc, make, diffutils
Provides:       %{module}-kmod = %{version}
AutoReqProv:    no

%description
This package contains the dkms ithc touchscreen driver.

%prep
%setup -q -n %{module}-linux-%{version}

%install
mkdir -p $RPM_BUILD_ROOT/usr/src/
cp -rf ${RPM_BUILD_DIR}/%{module}-linux-%{version} $RPM_BUILD_ROOT/usr/src/%{module}-%{version}

%clean
if [ "$RPM_BUILD_ROOT" != "/" ]; then
    rm -rf $RPM_BUILD_ROOT
fi

%files
%defattr(-,root,root)
/usr/src/%{module}-%{version}

%post
echo "Adding %{module} dkms modules version %{version} to dkms."
dkms add -m %{module} -v %{version}
echo "Installing %{module} dkms modules version %{version} for the current kernel."
dkms install --force -m %{module} -v %{version}

%changelog
* Wed Jul 30 2024 Craig Cabrey <craigcabrey@gmail.com>
- Initial release, 0.1.1
